# React-Proto [![Build Status](https://travis-ci.com/CS-Eevee/react-proto.svg?branch=master)](https://travis-ci.com/CS-Eevee/react-proto) [![License: MIT](https://img.shields.io/badge/License-MIT-blue.svg)](https://opensource.org/licenses/MIT)

[React-Proto](https://cs-eevee.github.io/react-proto/) is a React application prototyping tool.

It allows you to visualize/setup your application architecture upfront and recreate this architecture as application files either into a previous project or a new create-react-app project or a starter template from any repository.

React-Proto works on macOS, Windows, Linux.
If you find any issues, [file issue](https://github.com/CS-Eevee/react-proto/issues)

## Authors

[Blessing E Ebowe](https://www.linkedin.com/in/blessingebowe/) [@refinedblessing](https://github.com/refinedblessing)

[Brian Taylor](https://www.linkedin.com/in/brianwtaylor/) [@brianwtaylor](https://github.com/brianwtaylor)

[Erik Guntner](https://www.linkedin.com/in/erik-guntner-9aa324b9/) [@erikguntner](https://github.com/erikguntner)

## Running Your Own Version

Click on the **Fork** button on the top right of the page.

<img src="https://help.github.com/assets/images/help/repository/fork_button.jpg" width="300px"></img>

``` bash
# Install dependencies
npm install

# Run application
npm start

# For development environment...
npm run dev

# on another terminal
npm run electron

# Run Linter
npm run linter
```

## Testing

Run ```npm test``` or ```yarn test``` to run test suite.

## License

This project is licensed under the MIT License - see the [LICENSE.md](https://github.com/CS-Eevee/react-proto/blob/master/LICENSE.md) file for details.
